jQuery(document).ready(() => {

    let cameras = document.querySelectorAll('.cameras');
    ip = {};

    for (let x = 0; x < cameras.length; x++) {
        if (cameras[x].id != undefined) {
            let alias = cameras[x].getAttribute('data-alias');
            let features = cameras[x].getAttribute('data-features');
            let featuresArr = features.split(",");
            let featuresObj = {};

            for (let x = 0; x < featuresArr.length; x++) {
                if (featuresArr[x] != '') {
                    let feature = featuresArr[x].split(":");

                    for (let j = 0; j < feature.length; j++) {
                        featuresObj[feature[0]] = feature[1];
                    }
                }
            }

            ip[cameras[x].id] = new iplayer();
            ip[cameras[x].id].embed(cameras[x].id, alias, featuresObj);
            ip[cameras[x].id].resize();

            let width = jQuery('#' + cameras[x].id).width();
            let ratio = cameras[x].getAttribute('data-ratio');
            let boxwidth = cameras[x].getAttribute('data-boxwidth');

            if (ratio < 1) {
                jQuery('#' + cameras[x].id).width(width).height(width * ratio);
            } else {
                jQuery('#' + cameras[x].id).width(width * boxwidth).height(width);
                jQuery('#' + cameras[x].id).css({
                    'margin-left': 'auto',
                    'margin-right': 'auto',
                });
            }
        }
    }

    jQuery(window).resize(() => {
        for (let x in cameras) {
            if (cameras[x].id != undefined) {
                let width = jQuery('#' + cameras[x].id).parent().width();
                let ratio = cameras[x].getAttribute('data-ratio');
                let boxwidth = cameras[x].getAttribute('data-boxwidth');

                if (ratio < 1) {
                    jQuery('#' + cameras[x].id).width(width).height(width * ratio);
                    /*jQuery('#' + cameras[x].id).css({
                        'max-width': '650px',
                        'max-height': `${650 * ratio}px`,
                    });*/
                } else {
                    jQuery('#' + cameras[x].id).width(width * boxwidth).height(width);
                    /*jQuery('#' + cameras[x].id).css({
                        'max-height': '650px',
                        'max-width': `${650 * boxwidth}px`,
                    });*/
                }
            }
        }
    })
})
